#!/usr/bin/gnuplot

fac=1.0
nm=1.e-9

set colors classic
set term x11

set xl "lambda [m]"
set yl "visibility amplitude V_{amp} [] (shifted by dataset number)"

#set yr [0:5]
#set ytics fac
set grid ytics

p \
  "<awk '(FNR==1){ print null; }{ print $0,ARGIND; }' HA/*b1.0HA1.p*.vis.dat"      u ($8/nm):($4+fac*$10-fac):5 t "observed, HA, p1 or p2, 1.0A" w err lt 3 pt 1 ps 0.5,\
  "<awk '(FNR==1){ print null; }{ print $0,ARGIND; }' HA/*b1.0HA1.p*.vis.dat"      u ($8/nm):($4+fac*$10-fac):5 not w l lt 3,\
  "<awk '(FNR==1){ print null; }{ print $0,ARGIND; }' HA_orig/*b*HA1.peak1.vis.dat" u ($8/nm):($4+fac*$9 -fac):5 t "observed (old version)" w l lc 'green',\
  "<awk '!/^#/ && (ARGIND!=last){ print $0,ARGIND,FILENAME; }!/^#/{ last=ARGIND; }' HA/*b1.0HA1.p*.vis.dat"      u ($8/nm):($4+fac*$10-0.8*fac):(sprintf("  %s %s",stringcolumn(10),stringcolumn(11))) not w labels left font "Helvetica,10",\

pa -1

set term png size 1080,1920
set out "icfits_VIS_LAMBDA.png"
rep

q

  "HA_orig/IC2013.06.26.09.39b1.0HA1.peak1.vis.dat" u (sqrt($2**2+$3**2)/$8):($4*1.30 + 0*fac):5 w l lc 'red',\
  "HA_orig/IC2013.06.30.11.24b1.0HA1.peak1.vis.dat" u (sqrt($2**2+$3**2)/$8):($4*4.00 + 1*fac):5 w l lc 'red',\
  "HA_orig/IC2013.07.01.07.00b1.0HA1.peak1.vis.dat" u (sqrt($2**2+$3**2)/$8):($4*3.20 + 2*fac):5 w l lc 'red',\
  "HA_orig/IC2013.07.01.08.42b1.0HA1.peak1.vis.dat" u (sqrt($2**2+$3**2)/$8):($4*1.45 + 3*fac):5 w l lc 'red',\

  "<awk '!/^#/ && (ARGIND!=last){ print $0,ARGIND,FILENAME; }!/^#/{ last=ARGIND; }' HA_orig/*b1.0HA1.peak1.vis.dat" u (sqrt($2**2+$3**2)/$8):($4+fac*$9 -fac):(sprintf("  %s %s",stringcolumn(9),stringcolumn(10))) not w labels left font "Helvetica,10"

