#!/usr/bin/gnuplot

fac=360.
nm=1.e-9

set colors classic
set term x11

set xl "lambda [nm]"
set yl "visibility phase V_{phi} [] (shifted by dataset number)"

#set yr [0:5]
set ytics fac
set grid ytics

p \
  "<awk '(FNR==1){ print null; }{ print $0,ARGIND; }' HA/*b1.0HA1.p*.vis.dat"      u ($8/nm):($6+fac*$10-fac):7 t "observed, HA, p1 or p2, 1.0A" w err lt 3 pt 1 ps 0.5,\
  "<awk '(FNR==1){ print null; }{ print $0,ARGIND; }' HA/*b1.0HA1.p*.vis.dat"      u ($8/nm):($6+fac*$10-fac):7 not w l lt 3,\
  "<awk '(FNR==1){ print null; }{ print $0,ARGIND; }' HA_orig/*b*HA1.peak1.vis.dat" u ($8/nm):($6+fac*$9 -fac):7 t "observed (old version)" w l lc 'green',\
  "<awk '!/^#/ && (ARGIND!=last){ print $0,ARGIND,FILENAME; }!/^#/{ last=ARGIND; }' HA/*b1.0HA1.p*.vis.dat"   u ($8/nm):($6+fac*$10-0.8*fac):(sprintf("  %s %s",stringcolumn(10),stringcolumn(11))) not w labels left font "Helvetica,10",\

pa -1

set term png size 1080,1920
set out "icfits_VPHI_LAMBDA.png"
rep

q

  "<awk '!/^#/ && (ARGIND!=last){ print $0,ARGIND,FILENAME; }!/^#/{ last=ARGIND; }' HA_orig/*b*HA1.peak1.vis.dat" u ($8/nm):($6+fac*$9-0.9*fac):(sprintf("  %s %s",stringcolumn(9),stringcolumn(10))) not w labels left font "Helvetica,10",\
  "<awk '!/^#/ && (ARGIND!=last){ print $0,ARGIND,FILENAME; }!/^#/{ last=ARGIND; }' HA_orig/*b1.0HA1.peak1.vis.dat" u (sqrt($2**2+$3**2)/$8):($6+fac*$9-fac):(sprintf("  %s %s",stringcolumn(9),stringcolumn(10))) not w labels left font "Helvetica,10"


