#!/usr/bin/gnuplot

fac=360.
ang=1.e-10

set colors classic
set term x11

set xl "B/lambda [cycles]"
set yl "visibility phase V_{phi} [] (shifted by dataset number)"
set cbl "eff_band [A]"

#set yr [0:5]
set ytics fac
set grid ytics
set palette rgbformulae 33,13,10

p \
  "<awk '(FNR==1){ print null; }{ print $0,ARGIND; }' HE2/*.vis.dat"      u (sqrt($2**2+$3**2)/$8):($6+fac*$10-fac):($9/ang) w lp lc palette z,\
  "<awk '!/^#/ && (ARGIND!=last){ print $0,ARGIND,FILENAME; }!/^#/{ last=ARGIND; }' HE2/*.vis.dat" u (sqrt($2**2+$3**2)/$8):($6+fac*$10-fac):(sprintf("  %s %s",stringcolumn(10),stringcolumn(11))) not w labels left font "Helvetica,10",\

pa -1

set term png small size 1920,1080
set out "icfits_VPHI_band_HE2.png"
rep

q

  "<awk '!/^#/ && (ARGIND!=last){ print $0,ARGIND,FILENAME; }!/^#/{ last=ARGIND; }' HA_orig/*b1.0HA1.peak1.vis.dat" u (sqrt($2**2+$3**2)/$8):($6+fac*$9-fac):(sprintf("  %s %s",stringcolumn(9),stringcolumn(10))) not w labels left font "Helvetica,10"


