#!/usr/bin/gnuplot

Ang = 1.e-10

# Eq. (1)
P0 = 12.913779
JD0 = 2408247.968
dotP = 3.87265e-6

# JD = JD0 + P0 E + dotP E^2
# dotP E^2 + P0 E + JD0-JD = 0
# a x^2    + b x  + c      = 0
# x = (-b +- sqrt(b^2 - 4ac)) / 2a

x1(a,b,c) = (-b + sqrt(b**2 - 4.*a*c)) / (2.*a)

E(JD) = x1(dotP, P0, JD0-JD)
zero_(E) = E > 0 ? E : E+1.0
phase(JD) = zero_(E(JD)-int(E(JD)))

########################################################################

set term x11

set xl "lambda [A]"
set yl "F_lambda [J s^-1 m^-2 m^-1]"
set cbl "phase"

set cbr [0:1]

p "<awk '($1!=old){ print null; }{ print; old=$1; }' Sed.dat" u ($2/Ang):3:(phase($1)) w lp lw 1 lc palette z
pa -1

set term png small
set out "Sed.png"
rep


