#!/usr/bin/gawk -f

BEGIN{
  Ang = 1.e-10;  # m
  cm = 1.e-2;  # m
  erg = 1.e-7;  # J
  i=0;
  j=0;
}
(ARGIND==1) && (FNR>1){
  i++;
  hjd[i] = 2400000.0+$1;
}
(ARGIND>1) && /^[0-9].*/{
  j++;
  lambda[j] = $1*Ang;
  band[j] = 25.*Ang;
  for (k=2; k<=NF; k++) {
    F_lambda[j,k-1] = 10.**(-$(k)) * erg*cm**(-2)*cm**(-1);
  }
  nk = NF-1;
}
END{
  dataset = 0;
  filename = "burnasev.dat";

  print "# hjd eff_wave eff_band flux error dataset filename"
  print "# HJD & lambda [m] & band [m] & F_lambda [J s^-1 m^-2 m^-1] & sigma [dtto] & dataset & filename"

  nj = j;
  last = 0;
  for (k=1; k<=nk; k++) {
    for (j=1; j<=nj; j++) {
      if (hjd[k] != last) { dataset++; } last = hjd[k];
      sigma = 0.10*F_lambda[j,k];
      printf("%.6f  %.8e  %.8e  %.8e  %.8e  %d  %s\n", hjd[k], lambda[j], band[j], F_lambda[j,k], sigma, dataset, filename);
    }
  }
}


