#!/usr/bin/gnuplot

set term x11

set xl "lambda [A]"
set yl "F_nu [erg s^-1 cm^-2]"

set palette rgbformulae 7,5,15
set colorbox
set cbr [0:1]

p \
  "burnasev.dat" u 1:(10.**(-$2))  t "phase = 0.027" w lp lc palette cb 0.027,\
  "burnasev.dat" u 1:(10.**(-$3))  t "0.066"         w lp lc palette cb 0.066,\
  "burnasev.dat" u 1:(10.**(-$4))  t "0.103"         w lp lc palette cb 0.103,\
  "burnasev.dat" u 1:(10.**(-$5))  t "0.213"         w lp lc palette cb 0.213,\
  "burnasev.dat" u 1:(10.**(-$6))  t "0.299"         w lp lc palette cb 0.299,\
  "burnasev.dat" u 1:(10.**(-$7))  t "0.333"         w lp lc palette cb 0.333,\
  "burnasev.dat" u 1:(10.**(-$8))  t "0.490"         w lp lc palette cb 0.490,\
  "burnasev.dat" u 1:(10.**(-$9))  t "0.798"         w lp lc palette cb 0.798,\
  "burnasev.dat" u 1:(10.**(-$10)) t "0.868"         w lp lc palette cb 0.868,\
  "burnasev.dat" u 1:(10.**(-$11)) t "0.949"         w lp lc palette cb 0.949,\
  "burnasev.dat" u 1:(10.**(-$12)) t "0.989"         w lp lc palette cb 0.989

pa -1

set term png small
set out "burnasev.png"
rep


