#!/usr/bin/gawk -f

BEGIN{
  Ang = 1.e-10;  # m

  n = 5;
  Delta_lambda = 0.;
  lambda_last = 0.;
}
!/^#/{
  jd = $1;
  lambda = $2;
  band = $3;
  Int = $4;
  sigma_Int = $5;
  idataset = $6;
  dataset = $7;

  if ((jd != jd_) || (lambda-lambda_last > 1.0*Ang)) {
    i = 0;
    jd_ = jd;
    lambda_ = 0.0;
    Int_ = 0.0;
  }

  if (i < n) {
    i++;
    lambda_ += lambda;
    Int_ += Int;
  }

  if (i==n) {
    lambda_ /= n;
    Int_ /= n;

    printf("%.6f  %.8e  %.8e  %.8f  %.8f  %d  %s\n", jd_, lambda_ + Delta_lambda, band, Int_, sigma_Int, idataset, dataset);

    i = 0;
    lambda_ = 0.0;
    Int_ = 0.0;
  }

  lambda_last = lambda;
}


